import {Component, OnInit} from '@angular/core';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { AjaxService } from '../../../../core/service/ajax.service';
import { MsgService } from '../../../../core/service/msg.service';
import { FrameDetailComponent } from '../../../frame/core/detail/frame.detail';

@Component({
  selector: 'app-admit-wish-confirm',
  templateUrl: './admit-wish-confirm.component.html',
  styleUrls: ['./admit-wish-confirm.component.scss']
})
export class AdmitWishConfirmComponent extends FrameDetailComponent implements OnInit {

  constructor(bsModalRef: BsModalRef) {
    super(bsModalRef);
  }

  ngOnInit() {
  }


  confirm() {
    // 定义几个必须的
    let exam_id, wish_1, score_total, score_chinese, score_math, score_english;
    for (const v of this.ResponseMap.ColumnArray) {
      // 判断几个重要的是否都有
      if (v.data_type === 'exam_id') {
        if (exam_id) {
          MsgService.errorAlert('定义错误：同时定义了两个考生号字段');
          return;
        }
        exam_id = v;
      }

      if (v.data_type === 'wish_1') {
        if (wish_1) {
          MsgService.errorAlert('定义错误：同时定义了两个第一志愿字段');
          return;
        }
        wish_1 = v;
      }

      if (v.data_type === 'score_total') {
        if (score_total) {
          MsgService.errorAlert('定义错误：同时定义了两个总分字段');
          return;
        }
        score_total = v;
      }

      if (v.data_type === 'score_chinese') {
        if (score_chinese) {
          MsgService.errorAlert('定义错误：同时定义了两个语文分数字段');
          return;
        }
        score_chinese = v;
      }

      if (v.data_type === 'score_math') {
        if (score_math) {
          MsgService.errorAlert('定义错误：同时定义了两个数学分数字段');
          return;
        }
        score_math = v;
      }

      if (v.data_type === 'score_english') {
        if (score_english) {
          MsgService.errorAlert('定义错误：同时定义了两个外语分数字段');
          return;
        }
        score_english = v;
      }

    }

    if (!exam_id) {
      MsgService.errorAlert('定义错误：未定义考生号字段');
      return;
    }
    if (!wish_1) {
      MsgService.errorAlert('定义错误：未定义第一志愿字段');
      return;
    }
    if (!score_total) {
      MsgService.errorAlert('定义错误：未定义高考总分字段');
      return;
    }
    // if (!score_chinese) {
    //   MsgService.errorAlert('定义错误：未定义语文字段');
    //   return;
    // }
    // if (!score_math) {
    //   MsgService.errorAlert('定义错误：未定义数学字段');
    //   return;
    // }
    // if (!score_english) {
    //   MsgService.errorAlert('定义错误：未定义外语字段');
    //   return;
    // }

    const fn = () => {
      AjaxService.request('admit/province/wish/confirm.htm', {json_value: JSON.stringify(this.ResponseMap.ColumnArray), province_id: this.ResponseMap.AmProvince.province_id}, () => {
        this.closeWindow();
        MsgService.successAlert('志愿字段定义保存成功，如要修改请重新上传该省志愿！');
      },{RequestWithLoading: true});
    };
    MsgService.confirmAlert('请仔细核对，确定要保存吗？', fn);

  }
}
